package main

import (
	"html/template"
	"log"
	"net/http"
)

type Person struct {
	FirstName string
	LastName  string
}

type Instructor Person

type Participant struct {
	id int64
	Person
	Company string
}

type Briefing struct {
	Instructor
	Date         string
	Time         string
	State        string
	Location     string
	Participants []Participant
}

func main() {
	mux := http.NewServeMux()
	i := 1

	mux.Handle("/static/", http.StripPrefix("/static/", http.FileServer(http.Dir("static/"))))
	mux.HandleFunc("/", func(w http.ResponseWriter, r *http.Request) {
		template.Must(template.ParseFiles("templates/index.html")).Execute(w, i)
	})
	mux.HandleFunc("/add-participant/", func(w http.ResponseWriter, r *http.Request) {
		i++
		template.Must(template.ParseFiles("templates/index.html", "templates/participant.html")).ExecuteTemplate(w, "participant", i)
	})

	log.Fatalln(http.ListenAndServe(":8080", mux))
}
